Subject: Re: [bug#48637] [PATCH] website: Add publications page

From: Luis Felipe <[email-masked]>
Date: Tue, 25 May 2021 20:16:42 +0000

On Tuesday, May 25, 2021 7:58 PM, Julien Lepiller <[email-masked]> wrote:

> Do we need to have a list for authors? Couldn't we have a single translatable string with all the authors, so it's easier to translate than having to translate a separator? I mean you could have weird rujes on separators. Even in English, you'd need an "and" for the last element, unless there's one author. Giving the full list of authors to translate gives the most freedom to translators.

Hmm... As a scripter I'd prefer to use the list, but as a translator, I'd like to have complete control of the string... For the benefit of the latter, I think it's ok to use the string instead. So, when instancing a Publication record, the authors field would be simply like this?

#:authors (G_ "Jane Roe, Eva Lua and Luis Felipe")

> Also, please give context/comment to the last one, because it's not easy to guess what <1> in "Published <1> by <2>" would be :)

That's what I thought, and I was about to ask if it was possible to have <date> and <authors> instead of <1> and <2>. I guess not...

I need a course on the i18n system :)